fail = class:new()

function fail:init()
	self.squares = {}
	self.message = " Awww. \n You didn't make it. \n\n "
	self.message = self.message .. "Press any key to play again. "
	for i=1, 12 do
		self:newDrip(i)
		self.squares[i].y = -math.random(0, 480)	-- the initial batch needs to be spread out
	end
end

function fail:update(dt)
	for i=1, #self.squares do
		-- move the square, and if needed, reposition them at the bottom agani
		self.squares[i].y = self.squares[i].y + (dt * 240)
		if self.squares[i].y > 512 then
			self:newDrip(i)
		end
	end
end

function fail:draw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(logo, 160, 0, 0, 10, 10)
	love.graphics.printf(self.message, 0, 240, 640, "center")
	love.graphics.setColor(colors[1])
	for i=1, #self.squares do
		love.graphics.rectangle("fill", self.squares[i].x, self.squares[i].y - 32, 32, 32)
	end
end

function fail:keypressed(key, unicode)
	sfx:play("confirm")
	scene = menu:new()
end

function fail:mousereleased(x, y, button)
	sfx:play("confirm")
	scene = menu:new()
end

function fail:newDrip(id)
	self.squares[id] = {
		x = math.random(0, 19) * 32,	-- anywhere 
		y = 0
	}
end
